--@Author: 
--@Web: 

GrasverkaufPlaceable = {};
GrasverkaufPlaceable_mt = Class(GrasverkaufPlaceable, Placeable);
InitObjectClass(GrasverkaufPlaceable, "GrasverkaufPlaceable");

function GrasverkaufPlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, GrasverkaufPlaceable_mt);
    registerObjectClassName(self, "GrasverkaufPlaceable");
    return self;
end;

function GrasverkaufPlaceable:delete()
    removeTrigger(self.SprayerFillTriggerId);
    unregisterObjectClassName(self);
    GrasverkaufPlaceable:superClass().delete(self);
end;

function GrasverkaufPlaceable:deleteFinal()
    GrasverkaufPlaceable:superClass().deleteFinal(self);
end;

function GrasverkaufPlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not GrasverkaufPlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.SprayerFillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    TipTrigger:onCreate(self.SprayerFillTriggerId);
    delete(xmlFile);
    return true;
end;

function GrasverkaufPlaceable:update(dt)

	--- Inicio Funcion AutoSave
	g_currentMission.missionDynamicInfo.autoSave = true;
	g_currentMission.autoSaveInterval = 1000000 ;
	--- Fin Funcion AutoSave

end;
registerPlaceableType("GrasverkaufPlaceable", GrasverkaufPlaceable);

--- Inicio Funcion Consumos Normales
print("Cargado Funcion Consumos Normales");
HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)

	return false;

end;
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--- Fin Funcion Consumos Normales
